Skip to content

List all available chains

GET
/chains
curl --request GET \
--url https://api.ethos.network/api/v2/chains

Successful response

Media typeapplication/json
object
chains
required
Array<object>
object
id
required
number
name
required
string
url
required
Any of:
string format: uri
iconUrl
required
Any of:
string format: uri

Example generated

{
"chains": [
{
"id": 1,
"name": "example",
"url": "https://example.com",
"iconUrl": "https://example.com"
}
]
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}